Loading...
Searching...
No Matches
Opm::WellInterfaceGeneric< Scalar, IndexTraits >::OperabilityStatus Struct Reference

## Public Member Functions

bool | isOperableAndSolvable () const
bool | isOperableUnderBHPLimit () const
bool | isOperableUnderTHPLimit () const
void | resetOperability ()

## Public Attributes

bool | operable_under_only_bhp_limit = true
bool | obey_thp_limit_under_bhp_limit = true
bool | can_obtain_bhp_with_thp_limit = true
bool | obey_bhp_limit_with_thp_limit = true
bool | solvable = true
bool | has_negative_potentials = false
bool | thp_limit_violated_but_not_switched = false
bool | use_vfpexplicit = false

The documentation for this struct was generated from the following file:

- opm/simulators/wells/WellInterfaceGeneric.hpp